%define minifluxwebdir %{_datadir}/miniflux

Name:           miniflux
Version:        1.1.10
Release:        1%{?dist}
Summary:        Minimalist web based news reader
License:        AGPLv3
Group:          Applications/Productivity
URL:            http://miniflux.net/

Source0:        http://miniflux.net/miniflux-%{version}.zip
Source1:        miniflux.conf
Source2:        miniflux-update.service
Source3:        miniflux-update.timer
# Disable auto-updating inside of miniflux. Updating should be done through RPM.
Patch0:         disable-auto-update.patch

BuildArch:      noarch

BuildRequires: systemd-units

# Needed for semanage
Requires(post): policycoreutils-python
Requires(postun): policycoreutils-python

Requires:       httpd
Requires:       mod_php
Requires:       php-sqlite3
Requires:       php-mbstring
Requires:       php-xml

%description
Miniflux is a minimalist web based news reader.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
# Get rid of unecessary files
rm Makefile

%install
rm -rf $RPM_BUILD_ROO
mkdir -p $RPM_BUILD_ROOT%{minifluxwebdir}
cp -a * $RPM_BUILD_ROOT%{minifluxwebdir}
install -p -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/miniflux.conf
install -p -D -m 0644 $RPM_BUILD_ROOT%{minifluxwebdir}/config.default.php $RPM_BUILD_ROOT%{minifluxwebdir}/config.php
install -p -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/miniflux-update.service
install -p -D -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/miniflux-update.timer

%post
%systemd_post miniflux-update.service miniflux-update.timer
if [ $1 -eq 1 ]; then
  # Only run this upon new install
  # Reload systemd manage configuration to pick up new service/timer.
  /bin/systemctl daemon-reload
  # Start up the timer.
  /bin/systemctl enable miniflux-update.timer
  /bin/systemctl start miniflux-update.timer
  # Set SELinux fcontext for miniflux's data directory.
  /usr/sbin/semanage fcontext -a -t httpd_user_rw_content_t '%{minifluxwebdir}/data(/.*)?'
  /usr/sbin/restorecon -R %{minifluxwebdir}/data/
fi

%postun
if [ $1 -eq 0 ]; then
  # Only run this upon uninstall.
  # Remove SELinux fcontext for to miniflux:
  /usr/sbin/semanage fcontext -d -t httpd_user_rw_content_t '%{minifluxwebdir}/data(/.*)?'
fi
%systemd_postun_with_restart miniflux-update.timer

%files
%defattr(-,apache,apache)
%{minifluxwebdir}
%license LICENSE
%config(noreplace) %{minifluxwebdir}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/miniflux.conf
%attr(-,root,root) %{_unitdir}/miniflux-update.service
%attr(-,root,root) %{_unitdir}/miniflux-update.timer

%changelog
* Thu Aug 25 2016 Robert Bost <bostrt@gmail.com> 1.1.10-1
- Initial creation of package.
